This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1025581 - Review Request: percona-xtrabackup - Online backup for MySQL, MariaDB and Percona Server
Review Request: percona-xtrabackup - Online backup for MySQL, MariaDB and Pe...
Status: CLOSED DUPLICATE of bug 918431
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 21:18 EDT by Stewart Smith
Modified: 2015-08-16 03:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-11 11:20:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stewart Smith 2013-10-31 21:18:57 EDT
Spec URL: https://flamingspork.com/junk/percona-xtrabackup-2.1.5-fedora/percona-xtrabackup.spec
SRPM URL: https://flamingspork.com/junk/percona-xtrabackup-2.1.5-fedora/percona-xtrabackup-2.1.5-1.src.rpm
Description: Online backup for InnoDB/XtraDB in MySQL, MariaDB and Percona Server
Fedora Account System Username: stewartsmith
Comment 1 Christopher Meng 2013-10-31 22:31:15 EDT
Some help(I'm not a sponsor, please find a potential sponsor via:

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group):

1. Please drop these:

#
# rpm spec for xtrabackup
#

and 


###
### eof
###


As far as I can tell you, these are useless and they make the spec jumbled

2. Release: 1

Please read carefully when you want to build a package for Fedora as the first time:

https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Using_the_.25.7B.3Fdist.7D_Tag

3. http://www.percona.com/redir/downloads/XtraBackup/LATEST/source/percona-xtrabackup-2.1.5.tar.gz

-->

http://www.percona.com/redir/downloads/XtraBackup/LATEST/source/%{name}-%{version}.tar.gz

So next time when you want to update the package, you just need to modify the version tag and it will be changed automatically.

4. Please remove these obsoleted lines for ~EPEL5:

BuildRoot: %{_tmppath}/%{name}-%{version}-root

[ "%{buildroot}" != '/' ] && rm -rf %{buildroot}

%defattr(-,root,root)

%clean

5. Please sort your spec in a nice order, in brief, please move %changelog section to the bottom of every spec.

6. I don't know why you had this:

%define __os_install_post /usr/lib/rpm/brp-compress

I don't think we need it anymore now.

7. install -m 755

Please see:

https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps

and fix.

8. We don't allow this:

AutoReqProv: no

Please tell us the reason, we can help.
Comment 2 Stewart Smith 2013-11-01 01:14:41 EDT
(In reply to Christopher Meng from comment #1)
> Some help(I'm not a sponsor, please find a potential sponsor via:
> 
> https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group):

Thanks so much for the review!

> 1. Please drop these:
> 
> #
> # rpm spec for xtrabackup
> #
> 
> and 
> 
> 
> ###
> ### eof
> ###
> 
> 
> As far as I can tell you, these are useless and they make the spec jumbled

Done.

> 2. Release: 1
> 
> Please read carefully when you want to build a package for Fedora as the
> first time:
> 
> https://fedoraproject.org/wiki/Packaging:NamingGuidelines#Using_the_.25.7B.
> 3Fdist.7D_Tag

done, thanks!


> 3.
> http://www.percona.com/redir/downloads/XtraBackup/LATEST/source/percona-
> xtrabackup-2.1.5.tar.gz
> 
> -->
> 
> http://www.percona.com/redir/downloads/XtraBackup/LATEST/source/%{name}-
> %{version}.tar.gz
> 
> So next time when you want to update the package, you just need to modify
> the version tag and it will be changed automatically.

Done.

> 4. Please remove these obsoleted lines for ~EPEL5:
> 
> BuildRoot: %{_tmppath}/%{name}-%{version}-root
> 
> [ "%{buildroot}" != '/' ] && rm -rf %{buildroot}
> 
> %defattr(-,root,root)
> 
> %clean

Done. Would this affect building for EPEL for CentOS/RHEL5?

> 5. Please sort your spec in a nice order, in brief, please move %changelog
> section to the bottom of every spec.

Sounds like a good idea, done.
 
> 6. I don't know why you had this:
> 
> %define __os_install_post /usr/lib/rpm/brp-compress
> 
> I don't think we need it anymore now.

It seems like we added it many years ago, but the debuginfo packages take care of this now. Removed.

> 
> 7. install -m 755
> 
> Please see:
> 
> https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps
> 
> and fix.

done

> 8. We don't allow this:
> 
> AutoReqProv: no
> 
> Please tell us the reason, we can help.

Removed. This was due to a (now mostly obsolete) test infrastructure we had. I've solved it by just not packaging it.


Updated spec file: https://flamingspork.com/junk/percona-xtrabackup-2.1.5-fedora/percona-xtrabackup.spec

Updated SRPM: https://flamingspork.com/junk/percona-xtrabackup-2.1.5-fedora/percona-xtrabackup-2.1.5-1.fc19.src.rpm

(give the SRPM a few minutes, it's uploading)
Comment 3 Christopher Meng 2013-11-01 02:17:59 EDT
(In reply to Stewart Smith from comment #2)
> > 4. Please remove these obsoleted lines for ~EPEL5:
> > 
> > BuildRoot: %{_tmppath}/%{name}-%{version}-root
> > 
> > [ "%{buildroot}" != '/' ] && rm -rf %{buildroot}
> > 
> > %defattr(-,root,root)
> > 
> > %clean
> 
> Done. Would this affect building for EPEL for CentOS/RHEL5?

Yes, it will affect.

From Fedora 10/RHEL6 we don't need these but on RHEL5 they are still needed.

Does this tool work well on RHEL5+EPEL5?
Comment 4 Stewart Smith 2013-11-01 18:25:00 EDT
(In reply to Christopher Meng from comment #3)
> (In reply to Stewart Smith from comment #2)
> > > 4. Please remove these obsoleted lines for ~EPEL5:
> > > 
> > > BuildRoot: %{_tmppath}/%{name}-%{version}-root
> > > 
> > > [ "%{buildroot}" != '/' ] && rm -rf %{buildroot}
> > > 
> > > %defattr(-,root,root)
> > > 
> > > %clean
> > 
> > Done. Would this affect building for EPEL for CentOS/RHEL5?
> 
> Yes, it will affect.
> 
> From Fedora 10/RHEL6 we don't need these but on RHEL5 they are still needed.
> 
> Does this tool work well on RHEL5+EPEL5?

Yes, we do build our own RPMs for RHEL5 and have customers using it on RHEL5 quite successfully (with build-dependencies from EPEL)
Comment 5 Christopher Meng 2013-11-01 23:17:07 EDT
Hmm...Ok so you can keep them in EL5 branch when you access the SCM git repo.

I hope you can keep your spec in modern style on rawhide branch, and keep these old things on EL5 branch only.

BTW, I saw:

Requires: perl(DBD::mysql)

Have you tried:

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))?
Comment 6 Christopher Meng 2013-11-01 23:20:05 EDT
Again:

1. Packager: Percona Development Team <mysql-dev@percona.com>

Fedora doesnt allow this. Please remove.


2. Provides: xtrabackup >= 2.0.0
Obsoletes: xtrabackup < 2.0.0

I think we don't need this.

3. BuildRequires: libaio-devel, libgcrypt-devel, automake, cmake >= 2.6.3, patch, gcc, gcc-c++, libtool, bison, ncurses-devel, openssl-devel, procps

Well some of them can be dropped:

automake, patch, gcc, gcc-c++, libtool

4. I can't see any reference of RPM %{optflags} in build section. Please make sure that optflags are inserted well.
Comment 7 Murray McAllister 2013-11-25 23:10:35 EST
If you have not already seen, 2.1.6 was released (https://bugzilla.novell.com/show_bug.cgi?id=852224) and fixes a possible security issue:

""
A fixed initialization vector (constant string) was used while encrypting
the data. This opened the encrypted stream/data to plaintext attacks among
others. Bug fixed #1185343.
""
Comment 8 Stewart Smith 2013-11-25 23:20:17 EST
(In reply to Murray McAllister from comment #7)
> If you have not already seen, 2.1.6 was released
> (https://bugzilla.novell.com/show_bug.cgi?id=852224) and fixes a possible
> security issue:
> 
> ""
> A fixed initialization vector (constant string) was used while encrypting
> the data. This opened the encrypted stream/data to plaintext attacks among
> others. Bug fixed #1185343.
> ""

I'm aware, I'll update shortly.
Comment 9 Vincent Danen 2014-01-27 11:15:38 EST
2.1.7 was released and it also has security fixes, as noted by a SUSE bug report:

https://bugzilla.novell.com/show_bug.cgi?id=860488
Comment 10 Victoria Martinez de la Cruz 2015-08-11 11:20:00 EDT

*** This bug has been marked as a duplicate of bug 918431 ***

Note You need to log in before you can comment on or make changes to this bug.